<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('license_domains', function (Blueprint $table) {
            $table->timestamp('added_at')->nullable()->after('domain');
            $table->timestamp('last_used_at')->nullable()->after('added_at');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('license_domains', function (Blueprint $table) {
            $table->dropColumn(['added_at', 'last_used_at']);
        });
    }
};
